Last Comment Bug 531792 - crash [@ nsImapMailFolder::UpdateImapMailboxInfo(nsIImapProtocol*, nsIMailboxSpec*)]
: crash [@ nsImapMailFolder::UpdateImapMailboxInfo(nsIImapProtocol*, nsIMailbox...
Status: RESOLVED FIXED
: crash, fixed-seamonkey2.0.4
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: 1.9.1 Branch
: x86 All
-- critical (vote)
: Thunderbird 3.1b1
Assigned To: Kent James (:rkent)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 02:54 PST by Wayne Mery (:wsmwk, NI for questions)
Modified: 2011-06-09 14:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
beta1-fixed
.2-fixed


Attachments
Check for null and error (924 bytes, patch)
2010-02-02 13:05 PST, Kent James (:rkent)
mozilla: review+
mozilla: superreview+
standard8: approval‑thunderbird3.0.2+
Details | Diff | Splinter Review

Description User image Wayne Mery (:wsmwk, NI for questions) 2009-11-30 02:54:04 PST
crash [@ nsImapMailFolder::UpdateImapMailboxInfo]
most of the crashes are Mac
xref bug 257079

bp-5f8166a3-667a-4b98-bf13-bf14f2091125 Mac v3.0
"removed accounts and it crashed (Thunderbird was just downloading emails from email servers...)"
0	thunderbird-bin	nsImapMailFolder::UpdateImapMailboxInfo	 mailnews/imap/src/nsImapMailFolder.cpp:2749
1	libxpcom_core.dylib	libxpcom_core.dylib@0x667e0	
2	libxpcom_core.dylib	nsProxyObjectCallInfo::Run	xpcom/proxy/src/nsProxyEvent.cpp:181
3	libxpcom_core.dylib	nsThread::ProcessNextEvent	xpcom/threads/nsThread.cpp:521
4	libxpcom_core.dylib	NS_ProcessNextEvent_P	nsThreadUtils.cpp:236
5	thunderbird-bin	nsXULWindow::ShowModal	xpfe/appshell/src/nsXULWindow.h:415
6	thunderbird-bin	nsWindowWatcher::OpenWindowJSInternal	embedding/components/windowwatcher/src/nsWindowWatcher.cpp:992
7	thunderbird-bin	nsWindowWatcher::OpenWindowJS	embedding/components/windowwatcher/src/nsWindowWatcher.cpp:487
8	thunderbird-bin	nsGlobalWindow::OpenInternal	dom/src/base/nsGlobalWindow.cpp:7364
9	thunderbird-bin	nsGlobalWindow::OpenDialog	dom/src/base/nsGlobalWindow.cpp:5157
10	libxpcom_core.dylib	libxpcom_core.dylib@0x667e0	
11	thunderbird-bin	XPCWrappedNative::CallMethod	js/src/xpconnect/src/xpcwrappednative.cpp:2456
12	thunderbird-bin	XPC_WN_CallMethod	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1590
13	libmozjs.dylib	js_Invoke	js/src/jsinterp.cpp:1386
14	libmozjs.dylib	js_Interpret	js/src/jsinterp.cpp:5179
15	libmozjs.dylib	js_Invoke	js/src/jsinterp.cpp:1394
16	libmozjs.dylib	js_InternalInvoke	js/src/jsinterp.cpp:1447
17	libmozjs.dylib	JS_CallFunctionValue	js/src/jsapi.cpp:5187
18	thunderbird-bin	nsJSContext::CallEventHandler	dom/src/base/nsJSEnvironment.cpp:2085 


bp-f8f0b575-518a-4d20-99d4-221f82091008 Mac 3.0b4
0	thunderbird-bin	nsImapMailFolder::UpdateImapMailboxInfo	 mailnews/imap/src/nsImapMailFolder.cpp:2738
1	libxpcom_core.dylib	NS_InvokeByIndex_P	xpcom/reflect/xptcall/src/md/unix/xptcinvoke_unixish_x86.cpp:179
2	libxpcom_core.dylib	nsProxyObjectCallInfo::Run	xpcom/proxy/src/nsProxyEvent.cpp:181
3	libxpcom_core.dylib	nsThread::ProcessNextEvent	xpcom/threads/nsThread.cpp:521
4	libxpcom_core.dylib	NS_ProcessNextEvent_P	nsThreadUtils.cpp:227
5	thunderbird-bin	nsXULWindow::ShowModal	ubstring.h:415
6	thunderbird-bin	nsWindowWatcher::OpenWindowJSInternal	embedding/components/windowwatcher/src/nsWindowWatcher.cpp:992
7	thunderbird-bin	nsWindowWatcher::OpenWindowJS	embedding/components/windowwatcher/src/nsWindowWatcher.cpp:487
8	thunderbird-bin	nsGlobalWindow::OpenInternal	dom/src/base/nsGlobalWindow.cpp:7364
9	thunderbird-bin	nsGlobalWindow::OpenDialog	dom/src/base/nsGlobalWindow.cpp:5157
Comment 1 User image Kent James (:rkent) 2009-11-30 11:17:36 PST
This crash has an easy fix with a null check.

I'll try to get to it when I am in mailnews dev mode again, but if someone else wants to do it I would not be offended.
Comment 2 User image Kent James (:rkent) 2010-02-02 13:05:45 PST
Created attachment 424846 [details] [diff] [review]
Check for null and error
Comment 3 User image Kent James (:rkent) 2010-02-02 13:09:54 PST
Comment on attachment 424846 [details] [diff] [review]
Check for null and error

I'm not sure how I would write a test for this.
Comment 4 User image David :Bienvenu 2010-02-02 21:02:18 PST
Comment on attachment 424846 [details] [diff] [review]
Check for null and error

yes, since we don't have a reproducible case for the error, we can't easily write a unit test. But the existing unit tests still pass.
Comment 5 User image Kent James (:rkent) 2010-02-04 08:37:00 PST
Comment on attachment 424846 [details] [diff] [review]
Check for null and error

Checked in http://hg.mozilla.org/comm-central/rev/745e15280cbe
Comment 6 User image Mark Banner (:standard8) 2010-02-07 07:35:23 PST
Correcting subject line so this hopefully gets picked up correctly in crash-stats.
Comment 7 User image Mark Banner (:standard8) 2010-02-07 07:44:00 PST
No need to set status-thunderbird3.0 to ? at the same time as requesting approval, as approval requests are the things watched most, and at the approval stage it generally doesn't need any action (in other words: approval requests are examined before each release, setting status flag doesn't add anything).
Comment 8 User image Kent James (:rkent) 2010-02-07 21:31:40 PST
"No need to set status-thunderbird3.0 to ?"

The issue with this is that I need a field that I can set on bugs that I can use for my searches, so that I see bugs that are assigned to me, marked FIXED, but still have steps needed. What would you suggest?
Comment 9 User image Mark Banner (:standard8) 2010-02-08 00:36:05 PST
(In reply to comment #8)
> "No need to set status-thunderbird3.0 to ?"
> 
> The issue with this is that I need a field that I can set on bugs that I can
> use for my searches, so that I see bugs that are assigned to me, marked FIXED,
> but still have steps needed. What would you suggest?

Given that you've got the approval flag set in this case, then "Flag" "contains the string" "approval-thunderbird3.0" (which would cover any .x string and +/?). You probably also know you can then filter out "status-thunderbird3.0" "does not contain the string" "fixed".

Though if you want to discuss this more (and I'm happy to explore options), lets do it over irc.
Comment 10 User image Kent James (:rkent) 2010-02-08 19:22:24 PST
Comment on attachment 424846 [details] [diff] [review]
Check for null and error

Checked in http://hg.mozilla.org/releases/comm-1.9.1/rev/7128a4ea7000

Note You need to log in before you can comment on or make changes to this bug.